package com.xinelu.manage.domain.termbank;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 常用术语(知识库)对象 term_bank
 *
 * @author xinelu
 * @date 2024-06-07
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "常用术语(知识库)对象", description = "term_bank")
public class TermBank extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 画像标签和知识库字段表id
     */
    @ApiModelProperty(value = "画像标签和知识库字段表id")
    @Excel(name = "画像标签和知识库字段表id")
    private String termCode;

    /**
     * 内容名称(不用)
     */
    @ApiModelProperty(value = "内容名称(不用)")
    @Excel(name = "内容名称(不用)")
    private String termName;

    /**
     * 字段名称
     */
    @ApiModelProperty(value = "字段名称")
    @Excel(name = "字段名称")
    private String termContent;

    /**
     * 父编码
     */
    @ApiModelProperty(value = "父编码")
    @Excel(name = "父编码")
    private String parentTermCode;

    /**
     * 层级，从1开始，1,2,3……
     */
    @ApiModelProperty(value = "层级，从1开始，1,2,3……")
    @Excel(name = "层级，从1开始，1,2,3……")
    private Long termLevel;

    /**
     * 内容排序
     */
    @ApiModelProperty(value = "内容排序")
    @Excel(name = "内容排序")
    private Long termSort;

    /**
     * 内容备注信息
     */
    @ApiModelProperty(value = "内容备注信息")
    @Excel(name = "内容备注信息")
    private String termRemark;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("termCode", getTermCode())
                .append("termName", getTermName())
                .append("termContent", getTermContent())
                .append("parentTermCode", getParentTermCode())
                .append("termLevel", getTermLevel())
                .append("termSort", getTermSort())
                .append("termRemark", getTermRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
